## libcpaboutcssu 1.0+0cssu5

=== Makefile ===
SUBDIRS=src
BUILDDIR=build

all: subdirs

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

.PHONY: all clean $(SUBDIRS)

clean:
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean); done

=== src/Makefile ===
OBJS=libcpaboutcssu.o
SOURCES=libcpaboutcssu.c
LIB=libcpaboutcssu.so
PKG_FLAGS=$(shell pkg-config glib-2.0 hildon-1 libhildondesktop-1 --libs --cflags)
CCFLAGS=-shared
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm -f $(OBJS) $(LIB)

=== debian/changelog ===
libcpaboutcssu (1.0+0cssu5) unstable; urgency=low

  * Use dpkg-query instead of the ugly shell hack, added luf.

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Wed,  2 Jan 2013 09:10:47 +0100

libcpaboutcssu (1.0+0cssu4.1) unstable; urgency=low

  * Do not edit version string.

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Wed, 14 Mar 2012 14:46:23 +0100

libcpaboutcssu (1.0+0cssu4) unstable; urgency=low

  * Show flavor in dialog, added more names.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 19 Nov 2011 18:47:23 +0200

libcpaboutcssu (1.0+0cssu3.1) unstable; urgency=low

  * Fixed build depends for autobuilder.

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Wed, 16 Nov 2011 18:11:10 +0100

libcpaboutcssu (1.0+0cssu3) unstable; urgency=low

  * Added new names, cleaned up code.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 10 Apr 2011 23:09:07 +0300

libcpaboutcssu (1.0+0cssu2) unstable; urgency=low

  * Added new line before thanks.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Fri, 25 Feb 2011 13:31:07 +0200

libcpaboutcssu (1.0+0cssu1) unstable; urgency=low

  * Initial release.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon,  21 Feb 2011 22:24:58 +0200

=== debian/control ===
Source: libcpaboutcssu
Section: libs
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libglib2.0-dev, libhildon1-dev, libhildondesktop1-dev, hildon-control-panel-dev, libosso-dev

Package: libcpaboutcssu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-control-panel (>= 1:2.2.1), dpkg
Description: Control panel plugin to show the status of the CSSU as well as the version installed.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp install-stamp
	# Add here commands to clean up after the build process.
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	#dh_installdocs
	#dh_installchangelogs
	#dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_makeshlibs
	dh_installdeb
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-arch binary-indep binary install
